package com.sd.business.controller.department;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.department.dto.DepartmentDto;
import com.sd.business.entity.department.dto.DepartmentSelectDto;
import com.sd.business.entity.department.vo.DepartmentVo;
import com.sd.business.service.department.DepartmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 事业部 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@RestController
@RequestMapping("/department")
public class DepartmentController {

    @Autowired
    private DepartmentService departmentService;

    /**
     * 事业部分页
     */
    @PostMapping("/page")
    public Page<DepartmentVo> page(@RequestBody DepartmentSelectDto dto) {
        return departmentService.getPage(dto);
    }

    /**
     * 事业部明细
     */
    @PostMapping("/detail")
    public DepartmentVo detail(@RequestBody BaseSelectDto dto) {
        return departmentService.detail(dto.getId());
    }

    /**
     * 事业部新增
     */
    @PostMapping("/add")
    public void add(@RequestBody DepartmentDto dto) {
        synchronized (this) {
            departmentService.add(dto);
        }
    }

    /**
     * 事业部编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody DepartmentDto dto) {
        synchronized (this) {
            departmentService.edit(dto);
        }
    }

    /**
     * 事业部删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        departmentService.delete(dto.getId());
    }

}
