package com.sd.business.controller.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.sku.dto.SkuSpecDto;
import com.sd.business.entity.sku.dto.SkuSpecSelectDto;
import com.sd.business.entity.sku.vo.SkuSpecVo;
import com.sd.business.service.sku.SkuSpecService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * sku规格 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@RestController
@RequestMapping("/skuSpec")
public class SkuSpecController {

    @Autowired
    private SkuSpecService skuSpecService;

    /**
     * sku规格分页
     */
    @PostMapping("/page")
    public Page<SkuSpecVo> page(@RequestBody SkuSpecSelectDto dto) {
        return skuSpecService.getPage(dto);
    }

    /**
     * sku规格明细
     */
    @PostMapping("/detail")
    public SkuSpecVo detail(@RequestBody BaseSelectDto dto) {
        return skuSpecService.detail(dto.getId());
    }

    /**
     * sku规格新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SkuSpecDto dto) {
        skuSpecService.add(dto);
    }

    /**
     * sku规格编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SkuSpecDto dto) {
        skuSpecService.edit(dto);
    }

    /**
     * sku规格删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        skuSpecService.delete(dto.getId());
    }

}
