package com.sd.business.controller.warehouse;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.warehouse.dto.WarehouseDto;
import com.sd.business.entity.warehouse.dto.WarehouseSelectDto;
import com.sd.business.entity.warehouse.vo.WarehouseVo;
import com.sd.business.service.warehouse.WarehouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 仓库 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-07
 */
@RestController
@RequestMapping("/warehouse")
public class WarehouseController {

    @Autowired
    private WarehouseService warehouseService;

    /**
     * 仓库分页
     */
    @PostMapping("/page")
    public Page<WarehouseVo> page(@RequestBody WarehouseSelectDto dto) {
        return warehouseService.getPage(dto);
    }

    /**
     * 仓库明细
     */
    @PostMapping("/detail")
    public WarehouseVo detail(@RequestBody BaseSelectDto dto) {
        return warehouseService.detail(dto.getId());
    }

    /**
     * 仓库新增
     */
    @PostMapping("/add")
    public void add(@RequestBody WarehouseDto dto) {
        warehouseService.add(dto);
    }

    /**
     * 仓库编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody WarehouseDto dto) {
        warehouseService.edit(dto);
    }

    /**
     * 仓库删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        warehouseService.delete(dto.getId());
    }

}
