package com.sd.business.entity.sku.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * sku规格
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@Getter
@Setter
@TableName("sku_spec")
public class SkuSpec extends BasePo {

    /**
     * 万里牛id
     */
    private String wlnUid;

    /**
     * sku id
     */
    private Long skuId;

    /**
     * 图稿id
     */
    private Long artworkLibraryId;

    /**
     * 规格图
     */
    private String specImgUrl;

    /**
     * 品号
     */
    private String code;

    /**
     * 品名
     */
    private String name;

    /**
     * 条码
     */
    private String barCode;

    /**
     * e10 品号
     */
    private String erpCode;

    /**
     * e10  c2品号
     */
    private String erpCodeC2;

    /**
     * e10 特征码
     */
    private String featureCode;

    /**
     * e10 c2特征码
     */
    private String featureCodeC2;

    /**
     * 加工面板 字典:charge_item
     */
    private String machinedPanel;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 净重 g
     */
    private BigDecimal netWeight;

    /**
     * bom id
     */
    private Long bomSpecId;

    /**
     * 描述
     */
    private String remark;

}
