package com.sd.business.service.artwork.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.artwork.dto.ArtworkLibraryDto;
import com.sd.business.entity.artwork.dto.ArtworkLibrarySelectDto;
import com.sd.business.entity.artwork.po.ArtworkLibrary;
import com.sd.business.entity.artwork.vo.ArtworkLibraryVo;
import com.sd.business.mapper.artwork.ArtworkLibraryMapper;
import com.sd.business.service.artwork.ArtworkLibraryService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 图稿库 服务实现类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@Service
public class ArtworkLibraryServiceImpl extends ServiceImpl<ArtworkLibraryMapper, ArtworkLibrary> implements ArtworkLibraryService {

    @Override
    public Page<ArtworkLibraryVo> getPage(ArtworkLibrarySelectDto dto) {

        Page<ArtworkLibraryVo> page = Sql.create(ArtworkLibraryVo.class)
                .selectAll(ArtworkLibrary.class)
                .from(ArtworkLibrary.class)
                .like(ArtworkLibrary::getArtworkName, dto.getArtworkName())
                .findInSet(ArtworkLibrary::getDepartmentId, dto.getDepartmentId())
                .orderByDesc(ArtworkLibrary::getId)
                .page(dto);

        return page;
    }

    @Override
    public ArtworkLibraryVo detail(Long id) {

        ArtworkLibraryVo vo = Sql.create(ArtworkLibraryVo.class)
                .selectAll(ArtworkLibrary.class)
                .from(ArtworkLibrary.class)
                .eq(ArtworkLibrary::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(ArtworkLibraryDto dto) {
        save(dto);
    }

    @Override
    public void edit(ArtworkLibraryDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
