package com.sd.business.service.sku.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.sku.dto.SkuClassifySelectDto;
import com.sd.business.entity.sku.po.SkuClassify;
import com.sd.business.entity.sku.vo.SkuClassifyVo;
import com.sd.business.mapper.sku.SkuClassifyMapper;
import com.sd.business.service.sku.SkuClassifyService;
import com.sd.framework.util.sql.Sql;
import com.sd.framework.util.tree.TreeUtil;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * sku分类 服务实现类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@Service
public class SkuClassifyServiceImpl extends ServiceImpl<SkuClassifyMapper, SkuClassify> implements SkuClassifyService {

    @Override
    public List<SkuClassifyVo> getTree(SkuClassifySelectDto dto) {

        List<SkuClassifyVo> list = Sql.create(SkuClassifyVo.class)
                .selectAll(SkuClassify.class)
                .from(SkuClassify.class)
                .like(SkuClassify::getName, dto.getName())
                .orderByAsc(SkuClassify::getSort)
                .list();

        return TreeUtil.build(list);
    }
}
