package com.sd.business.service.sku.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.sku.dto.SkuSpecDto;
import com.sd.business.entity.sku.dto.SkuSpecSelectDto;
import com.sd.business.entity.sku.po.SkuSpec;
import com.sd.business.entity.sku.vo.SkuSpecVo;
import com.sd.business.mapper.sku.SkuSpecMapper;
import com.sd.business.service.sku.SkuSpecService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * sku规格 服务实现类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@Service
public class SkuSpecServiceImpl extends ServiceImpl<SkuSpecMapper, SkuSpec> implements SkuSpecService {

    @Override
    public Page<SkuSpecVo> getPage(SkuSpecSelectDto dto) {

        Page<SkuSpecVo> page = Sql.create(SkuSpecVo.class)
                .selectAll(SkuSpec.class)
                .from(SkuSpec.class)
                .orderByDesc(SkuSpec::getId)
                .page(dto);

        return page;
    }

    @Override
    public SkuSpecVo detail(Long id) {

        SkuSpecVo vo = Sql.create(SkuSpecVo.class)
                .selectAll(SkuSpec.class)
                .from(SkuSpec.class)
                .eq(SkuSpec::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(SkuSpecDto dto) {
        save(dto);
    }

    @Override
    public void edit(SkuSpecDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
