package com.sd.framework.util;


import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.exception.ServiceException;

import java.math.BigDecimal;
import java.util.Objects;

public class Assert {

    /**
     * 断言为空
     */
    public static void empty(Object obj, String errStr) {
        if (ObjectUtil.isNotEmpty(obj)) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言不为空
     */
    public static void notEmpty(Object obj, String errStr) {
        if (ObjectUtil.isEmpty(obj)) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言不为空
     */
    public static void notNull(Object obj, String errStr) {
        if (ObjectUtil.isNull(obj)) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言不为空
     */
    public static void notBlank(String str, String errStr) {
        if (StrUtil.isBlank(str)) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言为0
     */
    public static void eqZero(Integer integer, String errStr) {
        if (!Objects.equals(integer, 0)) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言为0
     */
    public static void eqZero(Long along, String errStr) {
        if (!Objects.equals(along, 0L)) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言为1
     */
    public static void eqOne(Integer integer, String errStr) {
        if (!Objects.equals(integer, 1)) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言为1
     */
    public static void eqOne(Long along, String errStr) {
        if (!Objects.equals(along, 1L)) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言为真
     */
    public static void eqTrue(Boolean flag, String errStr) {
        if (flag == null || flag.equals(false)) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言大于0
     */
    public static void gtZero(BigDecimal bigDecimal, String errStr) {
        if (bigDecimal == null || BigDecimal.ZERO.compareTo(bigDecimal) > 0) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言大于等于0
     */
    public static void geZero(BigDecimal bigDecimal, String errStr) {
        if (bigDecimal == null || BigDecimal.ZERO.compareTo(bigDecimal) >= 0) {
            throw new ServiceException(errStr);
        }
    }

    /**
     * 断言大于0
     */
    public static void gtZero(Integer integer, String errStr) {
        if (integer == null || integer <= 0) {
            throw new ServiceException(errStr);
        }
    }

}
