package com.sd.framework.util.sql.mapper;

import com.baomidou.mybatisplus.core.assist.ISqlRunner;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.core.toolkit.StringPool;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.framework.util.sql.Where;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

public interface JoinMapper {

    /**
     * mp page
     */
    String SQL_SCRIPT = ISqlRunner.SQL_SCRIPT + StringPool.SPACE + "${ew.customSqlSegment}";

    /**
     * 列表
     */
    @Select(SQL_SCRIPT)
    List<Map<String, Object>> list(@Param(ISqlRunner.SQL) String sql,
                                   @Param(Constants.WRAPPER) Where<?> wrapper);

    /**
     * 分页
     */
    @Select(SQL_SCRIPT)
    Page<Map<String, Object>> page(@Param(ISqlRunner.SQL) String sql,
                                   @Param(ISqlRunner.PAGE) Page<?> page,
                                   @Param(Constants.WRAPPER) Where<?> wrapper);

    /**
     * 单条纪录
     */
    @Select(SQL_SCRIPT)
    Map<String, Object> one(@Param(ISqlRunner.SQL) String sql,
                            @Param(Constants.WRAPPER) Where<?> wrapper);

}
