package com.sd.wln.entity;

import com.ruoyi.common.utils.sign.Md5Utils;
import com.sd.wln.constants.WlnConstant;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 签名参数实体类
 */
@Getter
@Setter
public class Signature implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 请求键值
     */
    private String _app;

    /**
     * 时间戳
     */
    private Long _t;

    /**
     * 签名方法,支持 md5 和 hmac，默认 md5
     */
    private String _sign_kind;

    /**
     * 请求签名
     */
    private String _sign;

    /**
     * 授权码
     */
    private String _s;

    /**
     * 当前页码，从1开始
     */
    private Integer page;

    /**
     * 每页大小,最大200
     */
    private Integer limit;

    /**
     * 每页大小,最大200
     */
    private Long start_time;

    /**
     * 生成签名
     */
    public void generateSign(String param) {
        long time = System.currentTimeMillis();
        String str = WlnConstant.APP_SECRET
                + "_app=" + WlnConstant.APP_KEY + "&"
                + "_t=" + time + "&"
                + param
                + WlnConstant.APP_SECRET;

        _app = WlnConstant.APP_KEY;
        _sign = Md5Utils.hash(str);
        _t = time;
    }

}
