/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package com.sd.wln.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * 查询订单参数实体类
 */
@Getter
@Setter
public class StockParam extends Signature {

    private static final long serialVersionUID = 1L;

    /**
     * 单据编码
     */
    private String bill_code;

    /**
     * 单据编码
     */
    private String trade_code;

    /**
     * 单据修改时间,仅支持近3个月的日期查询
     */
    private Long modify_time;

    /**
     * 单据修改结束时间,仅支持近3个月的日期查询
     */
    private Long modify_end_time;

    /**
     * 是否拆分组合商品
     */
    private Boolean is_split;

}
