package com.sd.wln.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;

/**
 * 查询订单参数实体类
 */
@Getter
@Setter
public class TradesParam extends Signature {

    /**
     * 单据编码
     */
    private String bill_code;

    /**
     * 单据创建时间,修改时间为空是使用,仅支持近3个月的日期查询
     */
    private Long create_time;

    /**
     * 单据审核时间,时间戳毫秒格式
     */
    private Long approve_time;

    /**
     * 单据修改时间,仅支持近3个月的日期查询
     */
    private Long modify_time;

    /**
     * 发货时间，创建时间为空时使用,仅支持近3个月的日期查询
     */
    private Long send_goods_time;

    /**
     * 完成时间，发货时间为空时使用,仅支持近3个月的日期查询
     */
    private Long finish_time;

    /**
     * 查询结束时间;仅支持开始时间与结束时间间隔7天之内
     */
    private Long end_time;

    /**
     * 付款时间，仅支持近3个月的日期查询
     */
    private Long pay_time;

    /**
     * 仓库编码
     */
    private String storage_code;

    /**
     * 是否拆分组合商品
     */
    private Boolean is_split;

    /**
     * 手机
     */
    private String mobile;

    /**
     * 订单状态0:审核 1：打单配货 2：验货3：称重4：待发货5：财审8：已发货9：完成10：关闭13：配货中15：打包 PS:分销商订单不支持状态查询,支持多状态查询，中间使用英文逗号隔开，如1,2,3
     */
    private String trade_status;

    /**
     * 扩展字段 为JSON格式
     * {"query_exchange_only":true}
     */
    private JSONObject query_extend;

    /**
     * 是否查询无数据也进行删除
     */
    private Boolean flag;

    /**
     * 手动导入
     */
    private Boolean manualImport;

}
