package com.sd.wln.scheduled;

import com.sd.wln.service.WlnSkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Profile;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 同步万里牛数据（本地环境不执行同步逻辑）
 */
@Profile({"test", "prod"})
@Component
public class WlnSyncTask {

    @Autowired
    private WlnSkuService wlnSkuService;

    /**
     * 同步sku信息
     */
    @Scheduled(cron = "0 0 1 * * ?")
    public void syncSku() {
        wlnSkuService.sync();
    }

}
